import { CardData } from "./CardData";

/**
 * Model for initial communication with the server.
 * Includes the card details as well as window properties
 */
export class ModelData extends CardData {
    windowWidth!: number;
    windowHeight!: number;
    timeZoneOffsetMinutes!: number;
    colorDepth!: number;
    browserScreenWidth!: number;
    browserScreenHeight!: number;
    browserJavaEnabled!: boolean;
}